[Centos] Help: Apache2, Tomcat5 and jk2_connector

Fernando Mustieles nando_musti at yahoo.com
Mon Dec 6 16:32:44 UTC 2004

Hello, Does any have Apache 2.0.49 with tomcat 5.5.4
and jakarta-tomcat-connectors-jk2-2.0.4 working???

Apache was allready installed with CentOS 3
I installed tomcat with it's tar.gz file and
instalation was good.
but I installed first the j2sdk-1_4_2_06-linux-i586
java version...
 everything was OK...

but when I try to install the jakarta-tomcat-connector
I get an error when executing the make command...

./configure (with parameters) work ok, with no error..

but with make I got the following:

# make
list=' server/apache2'; \
for i in $list; do \
        echo "Making $target in $i"; \
        if test "$i" != "."; then \
        (cd $i && make) || exit 1; \
fi; \
Making  in server/apache2
make[1]: Entering directory
mkdir -p
/bin/sh /usr/bin/libtool --silent  --mode=compile gcc 
-O2 -g -pipe -march=i386 -mcpu=i686
ENGINE -I/usr/kerberos/include -pthread    -DLINUX=2
URCE -D_GNU_SOURCE   -I../../include
-I /us
r/java/j2sdk1.4.2_06/include -I
VE_JNI  -c ../../common/jk_channel_apr_socket.c -o
gcc: cannot specify -o with -c or -S and multiple
make[1]: ***
Error 1
make[1]: Leaving directory
make: *** [jk2-build] Error 1

Any ideas of the problem and how to fix it....
or should I use another versions of tomcat and the

In advance thanks for your help...

Do you Yahoo!? 
The all-new My Yahoo! - Get yours free! 

More information about the CentOS mailing list